.button {
    &__container {
        position: relative;
        display: flex;
        align-items: center;
        justify-content: center;
        gap: 8px;
        border: none;
        outline: none;
        font-size: 16px;
        transition: 350ms ease-in-out filter, 150ms ease-in-out background-color;
        padding: 12px 24px;
        cursor: pointer;
        border-color: transparent;
        text-decoration: none;

        @media screen and (max-width: 900px) {
            padding: 12px 16px;
        }

        &:hover {
            filter: brightness(1.1);
        }

        // Themes
        &--raspberry {
            background-color: var(--raspberry);
            color: var(--text-cloud);

            &:hover {
                filter: brightness(1.2);
            }
        }

        &--cloudy {
            background-color: var(--cloud);
            color: var(--raspberry);
            border-color: var(--raspberry);

            &:hover {
                filter: brightness(1) contrast(1.1);
            }
        }

        &--onyx {
            background-color: transparent;
            color: var(--text-onyx);
            border-color: var(--text-onyx);
        }

        // Disabled
        &--disabled {
            background-color: var(--metal);
            transition: 250ms ease-in-out background-color;
            cursor: initial;
            pointer-events: none;

            &:hover {
                filter: contrast(0.96);
            }
        }

        &--stretch {
            width: 100%;
        }
    }

    &__shape{
        &--square {
            border-radius: 0;
        }

        &--rounded {
            border-radius: 4px;
            border-width: 2px;
            border-style: solid;
        }

        &--rounded-large {
            padding: 16px;
            border-radius: 4px;
            justify-content: flex-start;

            &:not(.icons__container) {
                text-transform: capitalize;
            }

            & .icons__container {
                margin-right: 8px;
                font-size: 1.875em;
            }

            & .fi-rs-arrow-right {
                margin-left: auto;
                font-size: 18px;
                transition: transform 300ms ease-in-out;
            }

            &:hover {
                & .fi-rs-arrow-right {
                    transform: translate(4px);
                }
            }
        }

        &--circle {
            width: 32px;
            height: 32px;
            display: grid;
            place-items: center;
            border-radius: 50%;
            transition: 250ms ease-in-out color, 100ms ease-in-out background-color, filter 250ms ease-out;
            font-size: 16px;
            cursor: pointer;
            padding: 0;
            border-width: 2px;
            border-style: solid;

            &:hover {
                filter: brightness(1.1);
            }
        }

        &--circle-large {
            width: 56px;
            height: 56px;
            display: grid;
            place-items: center;
            border-radius: 50%;
            transition: 250ms ease-in-out color, 100ms ease-in-out background-color, filter 250ms ease-out;
            font-size: 25px;
            cursor: pointer;
            padding: 0;
            border-width: 2px;
            border-style: solid;

            &:hover {
                filter: brightness(1.1);
            }
        }
    }
}
